function d = distn2one(x, p)
%
% DISTN2ONE Computes vector of distances between many points x and one
% point p.
%

% Get the number of points
n = size(x,1);
% Compute differences in all coordinates between points x and point p
dx = x - p(ones(n,1),:);
% Compute vector of euclidean distances
d = sqrt( sum(dx .^ 2, 2) );
