function f = fPermTSP(x, o, dm)
%
% FPERMTSP Evaluates x as length of the TSP tour with the distance matrix
% dm and options o.
%

[popsize, ncities] = size(x);
f = zeros(popsize,1);

for iind = 1:popsize,
    % Go through all the edges and sum up the lengths
    for i = 1:ncities-1,
        f(iind) = f(iind) + dm(x(iind,i), x(iind,i+1));
    end
    f(iind) = f(iind) + dm(x(iind,1), x(iind,end));
end
