function x = mutSwitch2Bit(x, o, n1, n2)
%
% MUTSWITCH2BIT Perturbs vector x by switching the n1-th bit and n2-th bit.
% If n1 and n2 are not given it switches randomly chosen bits.
%

% Get the length of the vector x
D = length(x);

if nargin < 3,
    % If n1 and n2 not given, select them randomly
    n1 = ceil(D*rand);
    n2 = ceil(D*rand);
elseif n1 > D | n2 > D,
    error('HOAtbx:mutSwitchBit','The index exceeds bit string length.');
end

% Invert the selected bits
x(n1) = 1 - x(n1); 
x(n2) = 1 - x(n2); 
