function x = mutSwitchBit(x, o, n)
%
% MUTSWITCHBIT Perturbs vector x by switching the n-th bit. If n is not
% given it switches randomly chosen bit.
%

% Get the length of the vector x
D = length(x);

if nargin < 3,
    % If n is not given as argument, set it randomly
    n = ceil(D*rand);
elseif n > D,
    error('HOAtbx:mutSwitchBit','The index exceeds bit string length.');
end

% Invert the bit at n-th position
x(n) = 1 - x(n); 
