% Clear the workspace
clear;

% Call the local search method for the fBinCountOnes objective function.
% Its initial point is set to a vector of 0s and 1s in random sequence
% (rand(1,100)>0.5) and its perturbation operator is set to mutSwitchBit. 
xstart = rand(1,100)>0.5;
[x,fx,hist] = minLocalSearchFirstImproving(...
    @fBinCountOnes, ...
    xstart, ...
    @mutSwitch2Bit, ...
    {}, ...
    {});
%    @mutSwitch2Bit ...

% Plot the history of optimization
[ax,h1,h2] = plotyy(hist.evals, hist.fmin, hist.evals, hist.nonimpr, @step, @saw);
xlabel('evaluations');
ylabel(ax(1),'loss function');
ylabel(ax(2),'# of nonimproving from last improving');
