% Clear the workspace
clear;

% Set the number of cities
ncities = 50;
% Generate their x,y coordinates randomly in (0,1)x(0,1)
%cities = rand(ncities,2);

% Load data from file
load cities.txt;
cities = cities(1:ncities,:);

% Compute distance matrix (ditances between all pairs of cities)
dm = distmat(cities);

% Call the local search method for the fPermTSP objective function with
% additional argument dm. Its initial point is set to a random permutation
% (randperm(ncities)) and its perturbation operator is set to mutPerm2Opt.  

% Try 2 methods of initialization: random and using nearest neighbor
% heuristic
%xstart = randperm(ncities);
 xstart = bldPermTSPNN(dm);
[x,fx,hist] = minLocalSearchFirstImproving(...
    @fPermTSP, ...
    xstart, ...
    @mutPerm2Opt, ...
    {dm}, ...
    {1});

% Plot the history of the optimization
[ax,h1,h2] = plotyy(hist.evals, hist.fmin, hist.evals, hist.nonimpr, @steplogy, @saw);
xlabel('evaluations');
ylabel(ax(1),'loss function');
ylabel(ax(2),'# of nonimproving from last improving');

% Visualize the progress of optimization
visTSPHist(cities, hist);
